\name{ANN.ic}
\alias{ANN.ic}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
    Adaptive Nuclear Norm Penalized Regression with Information Criteria
}
\description{
    Perform adaptive nuclear norm penalized regression and select model using 
    information criteria constructed from both an exact estimator of the degrees
    of freedom and the naive one.  
}
\usage{
ANN.ic(Y, X, gamma = 2, nlam = 100, lambda = NULL, ic = 1, loglammin = 0, tol = 1e-04)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Y}{
    An n times q matrix of response variables.
}
  \item{X}{
    An n times p matrix of predictors.
}
  \item{gamma}{
    Power parameter in constructing the adaptive weights.
}
  \item{nlam}{
    Number of tuning parameters.
}
  \item{lambda}{
    Tuning sequence.
}
  \item{ic}{
    Choose information criteria. ic=1, GCV; ic=2, AIC; ic=3, BIC; ic=4, BICP.        
}
  \item{loglammin}{
    Log of minimum nonzero lambda.
}
  \item{tol}{
    Tolerance level. A singular value that is small than this number is treated as zero.
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
  \itemize{ 
    \item Chen, K., Dong, H. B. and Chan, K.-S. (2013) Reduced rank regression via 
    adaptive nuclear-norm penalization.
  }
}
\author{
Kun Chen
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

##simulate data
n <- 100
p <- 25
q <- 25
sim.data <- RRR.sim1(n,p,q,rstar=10,snr=0.1,rho.x=0.5,rho.e=0)
C <- sim.data$C
Y <- sim.data$Y
X <- sim.data$X

##Fit ANN model
fit <- ANN.ic(Y,X,ic=1)  
fit$rank   

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{regression}
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
