\name{RANN.cv}
\alias{RANN.cv}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
    Robustified Adaptive Nuclear Norm Penalized Regression with Cross Validation
}
\description{
    Perform robustified adaptive nuclear norm penalized regression and select model using 
    cross validation.  
}
\usage{
RANN.cv(Y, X, nfold = 10, rankmax = min(dim(Y), dim(X)), gamma = 2, nlam1 = 100, 
    nlam2 = 100, lambda1 = NULL, lambda2 = seq(0, 0.2, length = nlam2), loglammin = 0, 
    norder = NULL, nest.tune = FALSE, fold.drop = 0, tol = 1e-04)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Y}{
    An n times q matrix of response variables.
}
  \item{X}{
    An n times p matrix of predictors.
}
  \item{nfold}{
    Number of folds.
}
  \item{rankmax}{
    Maximum rank.
}
  \item{gamma}{
    Power parameter in constructing the adaptive weights.
}
  \item{nlam1}{
    Number of tuning parameters for the ANN penalty.    
}
  \item{nlam2}{
    Number of tuning parameters for the ridge penalty. 
}
  \item{lambda1}{
    Tuning sequence for the ANN penalty.    
}
  \item{lambda2}{
    Tuning sequence for the ridge penalty.   
}
  \item{loglammin}{
    Log of minimum nonzero lambda.
}
  \item{norder}{
    Supply an ordering of the samples to form k folds.
}
  \item{nest.tune}{
    If TRUE, refine tuning parameter selection.
}
  \item{fold.drop}{
    Drop a few folds with the largest overall cross validation errors.
}
  \item{tol}{
    Tolerance level. A singular value that is small than this number is treated as zero.    
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
  \itemize{
    \item Mukherjee, A., Zhu, J. (2011) Reduced rank Reduced rank ridge regression 
    and its kernel extensions. \emph{Statistical Analysis and Data Mining} \bold{4}: 612--622.
    
    \item Chen, K., Dong, H. B. and Chan, K.-S. (2013) Reduced rank regression via 
    adaptive nuclear-norm penalization.
  }
}
\author{
Kun Chen
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

##simulate data
n <- 100
p <- 25
q <- 25
sim.data <- RRR.sim1(n,p,q,rstar=10,snr=0.1,rho.x=0.5,rho.e=0)
C <- sim.data$C
Y <- sim.data$Y
X <- sim.data$X

##Fit RANN model
fit <- RANN.cv(Y,X,nfold=10)  
fit$rank

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{regression}
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
