\name{RRR.cv}
\alias{RRR.cv}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
    Reduced Rank Regression with Cross Validation
}
\description{
    Perform reduced rank regression and select rank using cross validation. 
}
\usage{
RRR.cv(Y, X, nfold = 10, rankmax = min(dim(Y), dim(X)), norder = NULL, 
    fold.drop = 0, ypy.svd = TRUE, c.svd = FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Y}{
    An n times q matrix of response variables.
}
  \item{X}{
    An n times p matrix of predictors.
}
  \item{nfold}{
    Number of folds.
}
  \item{rankmax}{
    Maximum rank.
}
  \item{norder}{
    Supply an ordering of the samples to form k folds.
}
  \item{fold.drop}{
    Drop a few folds with the largest overall cross validation errors.    
}
  \item{ypy.svd}{
    If TRUE, svd function is used.
}
  \item{c.svd}{
    If TRUE, output the svd of the coefficient matrix.
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
  \itemize{
    \item Bunea, F., She, Y. and Wegkamp, M. (2011) Optimal selection of reduced 
    rank estimators of high-dimensional matrices. \emph{The Annals of Statistics} 
    \bold{39}: 1282--1309. 
    
    \item Chen, K., Dong, H. B. and Chan, K.-S. (2013) Reduced rank regression via 
    adaptive nuclear-norm penalization.
  }
}
\author{
Kun Chen
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

##simulate data
n <- 100
p <- 25
q <- 25
sim.data <- RRR.sim1(n,p,q,rstar=10,snr=0.1,rho.x=0.5,rho.e=0)
C <- sim.data$C
Y <- sim.data$Y
X <- sim.data$X

##Fit RRR model
fit <- RRR.cv(Y,X,nfold=10)  
fit$rank

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{regression}
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
