\name{RRR.ic}
\alias{RRR.ic}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
    Reduced Rank Regression with Information Criteria
}
\description{
    Perform reduced rank regression and select rank using information criteria constructed from both 
    an exact estimator of the degrees of freedom and the naive one.  
}
\usage{
RRR.ic(Y, X, rankmax = min(dim(Y), dim(X)), ic = 1, ypy.svd = TRUE, c.svd = FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Y}{
    An n times q matrix of response variables.
}
  \item{X}{
    An n times p matrix of predictors.
}
  \item{rankmax}{
    The maximum rank.
}
  \item{ic}{
    Choose information criteria. ic=1, GCV; ic=2, AIC; ic=3, BIC; ic=4, BICP.    
}
  \item{ypy.svd}{
    If TRUE, svd function is used.
}
  \item{c.svd}{
    If TRUE, output the svd of the coefficient matrix.
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
  \itemize{
    \item Reinsel, G. C. and Velu, P. (1998) \emph{Multivariate Reduced-rank Regression: 
    Theory and Applications}. New York: Springer.    
       
    \item Chen, K., Dong, H. B. and Chan, K.-S. (2013) Reduced rank regression via 
    adaptive nuclear-norm penalization.
  }
}
\author{
Kun Chen
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

##simulate data
n <- 100
p <- 25
q <- 25
sim.data <- RRR.sim1(n,p,q,rstar=10,snr=0.1,rho.x=0.5,rho.e=0)
C <- sim.data$C
Y <- sim.data$Y
X <- sim.data$X

##Fit RRR model
fit <- RRR.ic(Y,X,ic=1)  
fit$rank

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{regression}
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
