\name{RRR.sim1}
\alias{RRR.sim1}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
    Simulate Data For Reduced Rank Regression
}
\description{
    Simulate data for reduced rank regression.
}
\usage{
RRR.sim1(n = 100, p = 25, q = 25, snr = 0.1, rstar = 10, rho.x = 0.5, 
    rho.e = 0, SigmaX = CorrAR, SigmaE = CorrAR)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{n}{
    Sample size.
}
  \item{p}{
    Number of predictors.
}
  \item{q}{
    Number of response variables.
}
  \item{snr}{
    Signal size.
}
  \item{rstar}{
    Model rank.
}
  \item{rho.x}{
    Design correlation coefficient.
}
  \item{rho.e}{
    Error correlation coefficient.
}
  \item{SigmaX}{
    Design correlation structure.
}
  \item{SigmaE}{
    Error correlation structure.
}
}
\details{
    Simulate data for reduced rank regression. 
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
  \itemize{
    \item Bunea, F., She, Y. and Wegkamp, M. (2011) Optimal selection of reduced 
    rank estimators of high-dimensional matrices. \emph{The Annals of Statistics} 
    \bold{39}: 1282--1309. 
    
    \item Chen, K., Dong, H. B. and Chan, K.-S. (2013) Reduced rank regression via 
    adaptive nuclear-norm penalization.
  }
}
\author{
Kun Chen
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

##simulate data
n <- 100
p <- 25
q <- 25
sim.data <- RRR.sim1(n,p,q,rstar=10,snr=0.1,rho.x=0.5,rho.e=0.5)
C <- sim.data$C
Y <- sim.data$Y
X <- sim.data$X

##Unweighted RRR
sum((X\%*\%(RRR(Y,X,10)$C - C))^2)/q/n*100
##Weighted RRR. Use the true inverse covariance matrix as the weight matrix.
sum((X\%*\%(RRR(Y,X,10,weight=TRUE,Gamma=solve(CorrAR(q,0.5)))$C - C))^2)/q/n*100
    
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{regression}
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
