\name{RRRR}
\alias{RRRR}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Reduced Rank Ridge Regression Estimator
}
\description{
Compute reduced rank regression estimator for a given rank and a given tuning parameter.
}
\usage{
RRRR(Y, X, nrank = min(dim(Y), dim(X)), lambda = 1, ypy.svd = TRUE, c.svd = FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Y}{
    An n times q matrix of response variables.
}
  \item{X}{
    An n times p matrix of predictors.
}
  \item{nrank}{
    Model rank.
}
  \item{lambda}{
    Tuning parameter.
}
  \item{ypy.svd}{
    If TRUE, svd function is used.
}
  \item{c.svd}{
    If TRUE, output the svd of the coefficient matrix.
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
  \itemize{
    \item Mukherjee, A., Zhu, J. (2011) Reduced rank Reduced rank ridge regression 
    and its kernel extensions. \emph{Statistical Analysis and Data Mining} \bold{4}: 612--622.

    \item Chen, K., Dong, H. B. and Chan, K.-S. (2013) Reduced rank regression via 
    adaptive nuclear-norm penalization.
  }
}
\author{
Kun Chen
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

##simulate data
n <- 100
p <- 25
q <- 25
sim.data <- RRR.sim1(n,p,q,rstar=10,snr=0.1,rho.x=0.5,rho.e=0.5)
C <- sim.data$C
Y <- sim.data$Y
X <- sim.data$X

##RRR and RRRR
sum((X\%*\%(RRR(Y,X,10)$C - C))^2)/q/n*100
sum((X\%*\%(RRRR(Y,X,10,10)$C - C))^2)/q/n*100
 
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{regression}
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
