\name{RRRR.cv}
\alias{RRRR.cv}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
    Reduced Rank Ridge Regression with Information Criteria
}
\description{
    Perform reduced rank regression and select model using cross validation. 
}
\usage{
RRRR.cv(Y, X, nfold = 10, rankmax = min(dim(Y), dim(X)), nlam = 100, 
    lambda = seq(0, 100, length = nlam), norder = NULL, nest.tune = FALSE, 
    fold.drop = 0)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Y}{
    An n times q matrix of response variables.
}
  \item{X}{
    An n times p matrix of predictors.
}
  \item{nfold}{
    Number of folds.
}
  \item{rankmax}{
    Maximum rank.
}
  \item{nlam}{
    Number of tuning parameters.
}
  \item{lambda}{
    Tuning sequence.
}
  \item{norder}{
%%     ~~Describe \code{norder} here~~
}
  \item{nest.tune}{
%%     ~~Describe \code{nest.tune} here~~
}
  \item{fold.drop}{
%%     ~~Describe \code{fold.drop} here~~
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
  \itemize{
    \item Mukherjee, A., Zhu, J. (2011) Reduced rank Reduced rank ridge regression 
    and its kernel extensions. \emph{Statistical Analysis and Data Mining} \bold{4}: 612--622.
    
    \item Chen, K., Dong, H. B. and Chan, K.-S. (2013) Reduced rank regression via 
    adaptive nuclear-norm penalization.
  }
}
\author{
%%  ~~who you are~~
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

##simulate data
n <- 100
p <- 25
q <- 25
sim.data <- RRR.sim1(n,p,q,rstar=10,snr=0.1,rho.x=0.5,rho.e=0)
C <- sim.data$C
Y <- sim.data$Y
X <- sim.data$X

##Fit RRRR model
fit <- RRRR.cv(Y,X,nfold=10)  
fit$rank

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{regression}
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
