\name{RRRR.ideal}
\alias{RRRR.ideal}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Reduced Rank Ridge Regression with Ideal Tuning
}
\description{
    Perform reduced rank ridge regression and select rank using a large independently 
    generated validation dataset. This function is not for practical use.
}
\usage{
RRRR.ideal(Y, X, Ytest, Xtest, rankmax = min(dim(Y), dim(X)), nlam = 100, 
    lambda = seq(0, 100, length = nlam), nest.tune = FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Y}{
    An n times q matrix of response variables.
}
  \item{X}{
    An n times p matrix of predictors.
}
  \item{Ytest}{
    Validation set.
}
  \item{Xtest}{
    Validation set.
}
  \item{rankmax}{
    Maximum rank.
}
  \item{nlam}{
    Number of tuning parameters.
}
  \item{lambda}{
    Tuning sequence.
}
  \item{nest.tune}{
    If TRUE, refine tuning parameter selection.
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
  \itemize{
    \item Mukherjee, A., Zhu, J. (2011) Reduced rank Reduced rank ridge regression 
    and its kernel extensions. \emph{Statistical Analysis and Data Mining} \bold{4}: 612--622.
   
    \item Chen, K., Dong, H. B. and Chan, K.-S. (2013) Reduced rank regression via 
    adaptive nuclear-norm penalization.
  }
}
\author{
Kun Chen
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

##simulate data
n <- 100
p <- 25
q <- 25
sim.data <- RRR.sim1(n=1000+n,p,q,snr=0.1,rho.x=0.5,rho.e=0)
C <- sim.data$C
Y <- sim.data$Y[1:n,]
X <- sim.data$X[1:n,]
Ytest <- sim.data$Y[101:1100,]
Xtest <- sim.data$X[101:1100,]

sum((Xtest\%*\%RRRR.cv(Y,X)$C - Ytest)^2)/q/1000
sum((Xtest\%*\%RRRR.ideal(Y,X,Ytest,Xtest)$C - Ytest)^2)/q/1000

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{regression}
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
